<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$id = isset($_GET['id']) ? $_GET['id'] : '';
$clientId = isset($_GET['client_id']) ? $_GET['client_id'] : '';
$invoice_number = isset($_GET['invoice_number']) ? $_GET['invoice_number'] : '';
$company_name = isset($_GET['company_name']) ? $_GET['company_name'] : '';
$invoice_date = isset($_GET['invoice_date']) ? $_GET['invoice_date'] : '';
$job_number = isset($_GET['job_number']) ? $_GET['job_number'] : '';
$report_number = isset($_GET['report_number']) ? $_GET['report_number'] : '';
$staff_attended_job = isset($_GET['staff_attended_job']) ? $_GET['staff_attended_job'] : '';
$completed_work = isset($_GET['completed_work']) ? $_GET['completed_work'] : '';
$invoice_work_type = isset($_GET['invoice_work_type']) ? $_GET['invoice_work_type'] : '';
$quote_number = isset($_GET['quote_number']) ? $_GET['quote_number'] : '';
$invoice_quoted_work = isset($_GET['invoice_quoted_work']) ? $_GET['invoice_quoted_work'] : '';
$invoice_amount = isset($_GET['invoice_amount']) ? $_GET['invoice_amount'] : '';

$db = new Database();
$conn = $db->getConnection();


$error = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = isset($_POST['id']) ? $_POST['id'] : '';
    $clientId = isset($_POST['client_id']) ? $_POST['client_id'] : '';
    $invoice_number = isset($_POST['invoice_number']) ? $_POST['invoice_number'] : '';
    $invoice_date = isset($_POST['invoice_date']) ? $_POST['invoice_date'] : '';
    $job_number = isset($_POST['job_number']) ? $_POST['job_number'] : '';  // Update this line
    $report_number = isset($_POST['report_number']) ? $_POST['report_number'] : '';  // Update this line
    $staff_attended_job = isset($_POST['staff_attended_job']) ? $_POST['staff_attended_job'] : '';
    $completed_work = isset($_POST['completed_work']) ? $_POST['completed_work'] : '';
    $invoice_work_type = isset($_POST['invoice_work_type']) ? $_POST['invoice_work_type'] : '';
    $quote_number = isset($_POST['quote_number']) ? $_POST['quote_number'] : '';
    $invoice_quoted_work = isset($_POST['invoice_quoted_work']) ? $_POST['invoice_quoted_work'] : '';
    $invoice_amount = isset($_POST['invoice_amount']) ? $_POST['invoice_amount'] : '';

    $updateQuery = "UPDATE invoice SET invoice_number=?,invoice_date=?,job_number=?,report_number=?,staff_attended_job=?,completed_work=?,invoice_work_type=?,quote_number=?,invoice_quoted_work=?,invoice_amount=? WHERE id=?";

    $stmt = $conn->prepare($updateQuery);
    if ($stmt) {
        $stmt->bind_param("ssssssssssi", $invoice_number, $invoice_date, $job_number, $report_number, $staff_attended_job, $completed_work, $invoice_work_type, $quote_number, $invoice_quoted_work, $invoice_amount, $id);
        if ($stmt->execute()) {
            $error =  "Record updated successfully";
        } else {
            $error = "Error updating record: " . $conn->error;
        }
        $stmt->close();
    } else {
        $error = "Error preparaing query " . $conn->error;
    }
    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Edit Invoice</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">Edit invoice</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">Edit invoice Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->


                        <form class="form-horizontal" method="POST" action="<?php $_SERVER['PHP_SELF'] ?>">

                            <input type="hidden" value="<?php echo htmlspecialchars($id, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="id" name="id">
                            <div class="form-group row">
                                <label for="invoice_number" class="col-md-2 control-label">Invoice Number</label>
                                <div class="col-md-10">
                                    <input type="number" value="<?php echo htmlspecialchars($invoice_number, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="invoice_number" name="invoice_number">
                                </div>
                            </div>
                            <div class="form-group form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_date">Invoice Date</label>
                                <div class="col-md-10">
                                    <div class="input-group">
                                        <input type="text" value="<?php echo htmlspecialchars($invoice_date, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" placeholder="MM/DD/YY" id="invoice_date" name="invoice_date">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="client_select">Select Client</label>
                                <div class="col-md-10">
                                    <input type="text" value="<?php echo htmlspecialchars($company_name, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" name="client_id">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="invoice_job_number" class="col-md-2 control-label">Job Number</label>
                                <div class="col-md-10">
                                    <input type="number" value="<?php echo htmlspecialchars($job_number, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="job_number" name="job_number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="invoice_report_number" class="col-md-2 control-label">Report Number</label>
                                <div class="col-md-10">
                                    <input type="number" value="<?php echo htmlspecialchars($report_number, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="report_number" name="report_number">
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_staff_attended_job">Staff Attended Job</label>
                                <div class="col-md-10">
                                    <select id="invoice_staff_attended_job" class="form-control" name="staff_attended_job">
                                        <option value=""></option>
                                        <option <?php echo ($staff_attended_job == '1') ? 'selected' : ''; ?>>1</option>
                                        <option <?php echo ($staff_attended_job == '2') ? 'selected' : ''; ?>>2</option>
                                        <option <?php echo ($staff_attended_job == '3') ? 'selected' : ''; ?>>3</option>
                                        <option <?php echo ($staff_attended_job == '4') ? 'selected' : ''; ?>>4</option>
                                        <option <?php echo ($staff_attended_job == '5') ? 'selected' : ''; ?>>5</option>
                                        <option <?php echo ($staff_attended_job == 'More Than 5') ? 'selected' : ''; ?>>More Than 5</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_completed_work">Completed Work</label>
                                <div class="col-md-10">
                                    <textarea class="form-control" rows="5" id="invoice_completed_work" name="completed_work"><?php echo htmlspecialchars($completed_work, ENT_QUOTES, 'UTF-8'); ?></textarea>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_work_type">Invoice Work Type</label>
                                <div class="col-md-10">
                                    <select id="invoice_work_type" name="invoice_work_type" class="form-control">
                                        <option <?php echo ($invoice_work_type == 'Repair') ? 'selected' : ''; ?>>Repair</option>
                                        <option <?php echo ($invoice_work_type == 'Install') ? 'selected' : ''; ?>>Install</option>
                                        <option value="Install">Install</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="invoice_quote_number" class="col-md-2 control-label">Quote Number</label>
                                <div class="col-md-10">
                                    <input type="number" name="quote_number" value="<?php echo htmlspecialchars($quote_number, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="invoice_quote_number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_quoted_work">Invoice Quoted Work</label>
                                <div class="col-md-10">
                                    <textarea class="form-control" rows="5" name="invoice_quoted_work" id="invoice_quoted_work"><?php echo htmlspecialchars($invoice_quoted_work, ENT_QUOTES, 'UTF-8'); ?></textarea>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="invoice_amount" class="col-md-2 control-label">Invoice Amount</label>
                                <div class="col-md-10">
                                    <input type="text" name="invoice_amount" value="<?php echo htmlspecialchars($invoice_amount, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="invoice_amount">
                                </div>
                            </div>

                            <!-- button -->
                            <div class="form-group btn-form-group row mb-0 pt-4">
                                <div class="col-md-7 m-auto">
                                    <button type="submit" class="btn btn-primary btn-lg w-100 d-block">Update Invoice</button>
                                </div>
                            </div>
                            <!-- button -->
                        </form>

                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->



        <!-- Scripts start -->
        <?php include("../includes/footer-scripts.php"); ?>
        <!-- Scripts end-->

</body>

</html>