<?php
// Includes Global Site URL;
include("../includes/site-info.php");

$clientData = $_GET;
function setFormFields($fieldName, $defaultValue = '')
{
  global $clientData;
  echo htmlspecialchars($clientData[$fieldName] ?? $defaultValue, ENT_QUOTES, 'UTF-8');
}


$error = "";
global $site_url;

if (isset($_POST["update_client"])) {
  $postData = [
    'id' => $_POST['id'],
    'company_name' => $_POST['company_name'],
    'address_one' => $_POST['address_one'],
    'address_two' => $_POST['address_two'],
    'city' => $_POST['city'],
    'state' => $_POST['state'],
    'postcode' => $_POST['postcode'],
    'postcode_address_one' => $_POST['postcode_address_one'],
    'postcode_address_two' => $_POST['postcode_address_two'],
    'postal_city' => $_POST['postal_city'],
    'postal_state' => $_POST['postal_state'],
    'postal_postcode' => $_POST['postal_postcode'],
    'phonenumber' => $_POST['phonenumber'],
    'faxnumber' => $_POST['faxnumber'],
    'main_contract' => $_POST['main_contract'],
    'email' => $_POST['email'],
    'customer_number' => $_POST['customer_number'],
    'comments' => $_POST['comments'],
    'current' => $_POST['current'],
  ];

  $apiEndpoint = $site_url . '/api/clients/update.php';
  $request = curl_init($apiEndpoint);
  curl_setopt($request, CURLOPT_POST, 1);
  curl_setopt($request, CURLOPT_POSTFIELDS, http_build_query($postData));
  curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

  $headers = array(
    "Content-Type: application/x-www-form-urlencoded",
  );
  curl_setopt($request, CURLOPT_HTTPHEADER, $headers);

  $apiResponse = curl_exec($request);

  if (curl_errno($request)) {
    $error =  'Error: ' . curl_error($request);
  } else {
    $response = json_decode($apiResponse, true);

    if (isset($response['error']) && $response['error']) {
      $error = 'Error creating user: ' . $response['message'];
    } else {
      $error = 'User Updated Successfully.';
    }
  }

  curl_close($request);
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <title>Edit Client</title>

  <!-- Compatibility -->
  <?php include("../includes/compatibility.php"); ?>
  <!-- Compatibility -->


  <!-- styles start -->
  <?php include("../includes/header-styles.php"); ?>
  <!-- styles end -->

</head>

<body data-layout="horizontal">

  <!-- Begin page -->
  <div id="wrapper">

    <!-- Navigation Bar-->
    <?php include("../includes/header.php");
    echo $error;
    ?>
    <!-- End Navigation Bar-->


    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->

    <div class="content-page">
      <div class="content">
        <!-- Start container-fluid -->
        <div class="container-fluid">

          <!-- PAGE HEADING -->
          <div class="page-heading-wrapper">
            <h1 class="text-center page-heading mb-5">Edit Client</h1>
          </div>
          <!-- PAGE HEADING -->

          <div class="form-main-layout pb-5">

            <!-- start  -->
            <div class="row">
              <div class="col-12">
                <div>
                  <h4 class="header-title mb-4 ">Edit Clients Details</h4>
                </div>
              </div>
            </div>
            <!-- end row -->


            <form class="form-horizontal" method="POST">

              <div class="form-group row bg-dark text-white">
                <label class="col-md-2 col-form-label" for="client_select">Select Client</label>
                <div class="col-md-10">
                  <input readonly type="text" class="form-control" id="client_id" name="id" value='<?php echo setFormFields("id"); ?>'>
                </div>
                <!-- <div class="col-md-10">
                  <select id="client_select" class="form-control">
                    <option value=""></option>
                    <option>ABU Inovate</option>
                    <option selected>Lunar Innovations</option>
                    <option>II Animations</option>
                    <option>TBH Works</option>
                  </select>
                </div> -->
              </div>
              <hr>
              <div class="form-group row">
                <label for="client_customer_phone" class="col-md-2 control-label">Customer Number</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" name="customer_number" id="client_customer_phone" value='<?php echo setFormFields("customer_number"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_company_name" class="col-md-2 control-label">Company Name</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" name="company_name" id="client_company_name" value='<?php echo setFormFields("company_name"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_address_1" class="col-md-2 control-label">address Line 1</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_address_1" name="address_one" value='<?php echo setFormFields("address_one"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_address_2" class="col-md-2 control-label">address line 2</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_address_2" name="address_two" value='<?php echo setFormFields("address_two"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_city" class="col-md-2 control-label">City</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_city" name="city" value='<?php echo setFormFields("city"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_state" class="col-md-2 control-label">State</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_state" name="state" value='<?php echo setFormFields("state"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_postcode" class="col-md-2 control-label">Postcode</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postcode" name="postcode" value='<?php echo setFormFields("postcode"); ?>'>
                </div>
              </div>

              <div class="form-group row">
                <label for="client_postcode_address_1" class="col-md-2 control-label">Postcode address Line 1</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postcode_address_1" name="postcode_address_one" value='<?php echo setFormFields("postcode_address_one"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_postcode_address_2" class="col-md-2 control-label">Postcode address Line 2</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postcode_address_2" name="postcode_address_two" value='<?php echo setFormFields("postcode_address_two"); ?>'>
                </div>
              </div>

              <div class="form-group row">
                <label for="client_postalcity" class="col-md-2 control-label">Postal City</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postalcity" name="postal_city" value='<?php echo setFormFields("postal_city"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_postalstate" class="col-md-2 control-label">Postal State</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postalstate" name="postal_state" value='<?php echo setFormFields("postal_state"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_postal_postcode" class="col-md-2 control-label">Postal Postcode</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_postal_postcode" name="postal_postcode" value='<?php echo setFormFields("postal_postcode"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_phone" class="col-md-2 control-label">Phone Number</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_phone" name="phonenumber" value='<?php echo setFormFields("phonenumber"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_fax_number" class="col-md-2 control-label">Fax Number</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_fax_number" name="faxnumber" value='<?php echo setFormFields("faxnumber"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_main_contact" class="col-md-2 control-label">Main Contact</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="client_main_contact" name="main_contract" value='<?php echo setFormFields("main_contract"); ?>'>
                </div>
              </div>
              <div class="form-group row">
                <label for="client_email_address" class="col-md-2 control-label">Email address</label>
                <div class="col-md-10">
                  <input type="email" class="form-control" id="client_email_address" name="email" value='<?php echo setFormFields("email"); ?>'>
                </div>
              </div>


              <div class="form-group row">
                <label class="col-md-2 col-form-label" for="client_Edititional_comments">Edititional Comments</label>
                <div class="col-md-10">
                  <textarea class="form-control" rows="5" id="client_Edititional_comments" name="comments" value='<?php echo setFormFields("comments"); ?>'><?php echo setFormFields("comments"); ?> </textarea>
                </div>
              </div>

              <div class="form-group row">
                <label class="col-md-2 col-form-label" for="client_current">Current</label>
                <div class="col-md-10">
                  <select id="client_current" class="form-control" name="current">
                    <option value="1" <?php echo (setFormFields("current") == 1) ? 'selected' : ''; ?>>Yes</option>
                    <option value="0" <?php echo (setFormFields("current") == 0) ? 'selected' : ''; ?>>No</option>
                  </select>
                </div>
              </div>


              <!-- button -->
              <div class="form-group btn-form-group row mb-0 pt-4">
                <div class="col-md-7 m-auto">
                  <button type="submit" name="update_client" class="btn btn-primary btn-lg w-100 d-block">Save Changes</button>
                </div>
              </div>
              <!-- button -->
            </form>

          </div>
          <!-- end container-fluid -->

          <!-- Footer Start -->
          <?php include("../includes/footer.php"); ?>
          <!-- end Footer -->
        </div>
        <!-- end content -->
      </div>
      <!-- END content-page -->
    </div>
    <!-- END wrapper -->

    <!-- Right Sidebar -->
    <?php //include("../includes/right-bar.php"); 
    ?>
    <!-- /Right-bar -->



    <!-- Scripts start -->
    <?php include("../includes/footer-scripts.php"); ?>
    <!-- Scripts end-->

</body>

</html>