<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$database = new Database();

$conn = $database->getConnection();

global $site_url;

$ch = curl_init();
$apiEndpoint = $site_url . 'api/clients/index.php';
curl_setopt($ch, CURLOPT_URL, $apiEndpoint);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
  echo 'Curl error: ' . curl_error($ch);
}
curl_close($ch);

if ($response !== false) {
  $data = json_decode($response, true);
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <title>Add Contract</title>


  <!-- Compatibility -->
  <?php include("../includes/compatibility.php"); ?>
  <!-- Compatibility -->


  <!-- styles start -->
  <?php include("../includes/header-styles.php"); ?>
  <!-- styles end -->

</head>

<body data-layout="horizontal">

  <!-- Begin page -->
  <div id="wrapper">

    <!-- Navigation Bar-->
    <?php include("../includes/header.php"); ?>
    <!-- End Navigation Bar-->

    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->

    <div class="content-page">
      <div class="content">
        <!-- Start container-fluid -->
        <div class="container-fluid">

          <!-- PAGE HEADING -->
          <div class="page-heading-wrapper">
            <h1 class="text-center page-heading mb-5">Add Contract</h1>
          </div>
          <!-- PAGE HEADING -->

          <div class="form-main-layout pb-5">

            <!-- start  -->
            <div class="row">
              <div class="col-12">
                <div>
                  <h4 class="header-title mb-4 ">Add Contract Details</h4>
                </div>
              </div>
            </div>
            <!-- end row -->


            <form class="form-horizontal" method="POST">
              <!-- <div class="form-group row">
                <label class="col-md-2 col-form-label" for="contract_function">Select contracts Function</label>
                <div class="col-md-10">
                  <select id="contract_function" class="form-control">
                    <option value="contracts_edit">Edit Contracts</option>
                    <option>1</option>
                    <option>2</option>
                    <option>3</option>
                    <option>4</option>
                    <option>5</option>
                  </select>
                </div>
              </div> -->
              <div class="form-group row">
                <label class="col-md-2 col-form-label" for="client_select">Select Client</label>
                <div class="col-md-10">
                  <select id="client_select" class="form-control" name="client_id">
                    <option value=""></option>

                    <?php foreach ($data as $client) : ?>
                      <option value="<?php echo htmlspecialchars($client['id'], ENT_QUOTES, 'UTF-8'); ?>">
                        <?php echo htmlspecialchars($client['company_name'], ENT_QUOTES, 'UTF-8'); ?>
                      </option>
                    <?php endforeach; ?>
                  </select>
                </div>
              </div>
              <div class="form-group form-group row">
                <label class="col-md-2 col-form-label" for="contract_next_due_date">Next Due Date</label>
                <div class="col-md-10">
                  <div class="input-group">
                    <input type="date" class="form-control" placeholder="MM/DD/YY" id="contract_next_due_date" name="contract_next_due_date">
                  </div>
                </div>
              </div>

              <div class="form-group row">
                <label for="contract_amount" class="col-md-2 control-label">Contract Amount</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" id="contract_amount" name="contract_amount">
                </div>
              </div>
              <div class="form-group form-group row">
                <label class="col-md-2 col-form-label" for="contract_renewal_date">Contract Renewal Date</label>
                <div class="col-md-10">
                  <div class="input-group">
                    <input type="date" class="form-control" placeholder="MM/DD/YY" id="contract_renewal_date" name="contract_renewal_date">
                  </div>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-md-2 col-form-label" for="contract_returned">Contract Returned</label>
                <div class="col-md-10">
                  <select id="contract_returned" class="form-control" name="contract_returned">
                    <option value="Yes">Yes</option>
                    <option value="No" selected>No</option>
                  </select>
                </div>
              </div>

              <div class="form-group row">
                <label class="col-md-2 col-form-label" for="contract_additional_comments">Additional Comments</label>
                <div class="col-md-10">
                  <textarea class="form-control" rows="5" id="contract_additional_comments" name="contract_additional_comments"></textarea>
                </div>
              </div>


              <!-- button -->
              <div class="form-group btn-form-group row mb-0 pt-4">
                <div class="col-md-7 m-auto">
                  <button type="submit" class="btn btn-primary btn-lg w-100 d-block">Add Contract</button>
                </div>
              </div>
              <!-- button -->
            </form>
          </div>
          <!-- end container-fluid -->

          <!-- Footer Start -->
          <?php include("../includes/footer.php"); ?>
          <!-- end Footer -->
        </div>
        <!-- end content -->
      </div>
      <!-- END content-page -->
    </div>
    <!-- END wrapper -->

    <!-- Right Sidebar -->
    <?php //include("../includes/right-bar.php"); 
    ?>
    <!-- /Right-bar -->



    <!-- Scripts start -->
    <?php include("../includes/footer-scripts.php"); ?>
    <!-- Scripts end-->

    <?php

    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
      $client_id = isset($_POST['client_id']) ? (int)$_POST['client_id'] : null;
      $next_due_date = isset($_POST['contract_next_due_date']) ? $_POST['contract_next_due_date'] : null;
      $contract_amount = isset($_POST['contract_amount']) ? $_POST['contract_amount'] : null;
      $contract_renewal_date = isset($_POST['contract_renewal_date']) ? $_POST['contract_renewal_date'] : null;
      $contract_returned = isset($_POST['contract_returned']) ? (int)$_POST['contract_returned'] : null;
      $additional_comment = isset($_POST['contract_additional_comments']) ? $_POST['contract_additional_comments'] : null;

      $sql = "INSERT INTO contracts (client_id, next_due_date, contract_amount, contract_renewal_date, contract_returned, additional_comment) 
        VALUES (?, ?, ?, ?, ?, ?)";

      $stmt = $conn->prepare($sql);
      $stmt->bind_param("isssis", $client_id, $next_due_date, $contract_amount, $contract_renewal_date, $contract_returned, $additional_comment);
      $stmt->execute();

      $stmt->close();
      $conn->close();
    }
    ?>
</body>

</html>