<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$contractData = $_GET;

// function setFormFields($fieldName, $defaultValue = '')
// {
//     global $contractData;
//     return htmlspecialchars(($contractData[$fieldName] ?? $defaultValue), ENT_QUOTES, 'UTF-8');
// }

$id = isset($_GET['id']) ? $_GET['id'] : '';
$companyName = isset($_GET['company_name']) ? $_GET['company_name'] : '';
$nextDueDate = isset($_GET['next_due_date']) ? $_GET['next_due_date'] : '';
$contractRenewalDate = isset($_GET['contract_renewal_date']) ? $_GET['contract_renewal_date'] : '';
$contractAmount = isset($_GET['contract_amount']) ? $_GET['contract_amount'] : '';
$contractReturned = isset($_GET['contract_returned']) ? $_GET['contract_returned'] : '';
$additionalComment = isset($_GET['additional_comment']) ? $_GET['additional_comment'] : '';

global $site_url;

$db = new Database();
$conn = $db->getConnection();

$error = '';


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $companyName = $_POST['company_name'];
    $nextDueDate = $_POST['next_due_date'];
    $contractAmount = $_POST['contract_amount'];
    $contractRenewalDate = $_POST['contract_renewal_date'];
    $contractReturned = $_POST['contract_returned'];
    $additionalComments = $_POST['additional_comment'];
    $id = $_POST['id'];


    $updateQuery = "UPDATE contracts SET 
    next_due_date = '$nextDueDate', 
    contract_amount = '$contractAmount', 
    contract_renewal_date = '$contractRenewalDate', 
    contract_returned = '$contractReturned', 
    additional_comment = '$additionalComments' 
    WHERE id = $id";

    if ($conn->query($updateQuery) === TRUE) {
        $error =  "Record updated successfully";
    } else {
        $error = "Error updating record: " . $conn->error;
    }

    $conn->close();
}


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Edit Contract</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">Edit Contract</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">Edit Contract Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->


                        <form class="form-horizontal" method="POST" action=<?php echo $_SERVER['PHP_SELF']; ?>>


                            <input readonly type="hidden" name="id" class="form-control" value='<?php echo htmlspecialchars($id, ENT_QUOTES, 'UTF-8'); ?>'>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="client_select">Client Name</label>
                                <div class="col-md-10">
                                    <input readonly type="text" name="company_name" class="form-control" value='<?php echo htmlspecialchars($companyName, ENT_QUOTES, 'UTF-8'); ?>'>
                                </div>
                            </div>
                            <div class="form-group form-group row">
                                <label class="col-md-2 col-form-label" for="contract_next_due_date">Next Due Date</label>
                                <div class="col-md-10">
                                    <div class="input-group">
                                        <input type="text" name="next_due_date" class="form-control" value='<?php echo htmlspecialchars($nextDueDate, ENT_QUOTES, 'UTF-8'); ?>' id="contract_next_due_date">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="contract_amount" class="col-md-2 control-label">Contract Amount</label>
                                <div class="col-md-10">
                                    <input type="text" class="form-control" name="contract_amount" value='<?php echo htmlspecialchars($contractAmount, ENT_QUOTES, 'UTF-8'); ?>' id="contract_amount">
                                </div>
                            </div>
                            <div class="form-group form-group row">
                                <label class="col-md-2 col-form-label" for="contract_renewal_date">Contract Renewal Date</label>
                                <div class="col-md-10">
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="contract_renewal_date" value='<?php echo htmlspecialchars($contractRenewalDate, ENT_QUOTES, 'UTF-8'); ?>' id="contract_renewal_date">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="contract_returned">Contract Returned</label>
                                <div class="col-md-10">
                                    <select id="contract_returned" name="contract_returned" class="form-control">
                                        <option value="1" <?php echo ($contractReturned == 1) ? 'selected' : ''; ?>>Yes</option>
                                        <option value="0" <?php echo ($contractReturned == 0) ? 'selected' : ''; ?>>No</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="contract_additional_comments">Additional Comments</label>
                                <div class="col-md-10">
                                    <textarea class="form-control" rows="5" id="contract_additional_comments" name="additional_comment">
                                    <?php echo htmlspecialchars(trim(urldecode($additionalComment)), ENT_QUOTES, 'UTF-8'); ?>
                                    </textarea>
                                </div>
                            </div>

                            <p class="text-success text-bold font-bold fw-700 text-center">
                                <?php
                                echo $error;
                                ?>
                            </p>


                            <!-- button -->
                            <div class="form-group btn-form-group row mb-0 pt-4">
                                <div class="col-md-7 m-auto">
                                    <button type="submit" class="btn btn-primary btn-lg w-100 d-block">Update Contract</button>
                                </div>
                            </div>
                            <!-- button -->
                        </form>
                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->



        <!-- Scripts start -->
        <?php include("../includes/footer-scripts.php"); ?>
        <!-- Scripts end-->

</body>

</html>