<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$database = new Database();
$conn = $database->getConnection();

global $site_url;

$ch = curl_init();
$apiEndpoint = $site_url . 'api/clients/index.php';
curl_setopt($ch, CURLOPT_URL, $apiEndpoint);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Curl error: ' . curl_error($ch);
}
curl_close($ch);

if ($response !== false) {
    $data = json_decode($response, true);
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Add Equipment</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">Add equipment</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">add Equipment Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->


                        <form class="form-horizontal" method="POST">
                            <!-- <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="contract_function">Select equipment Function</label>
                                    <div class="col-md-10">
                                        <select id="contract_function" class="form-control">
                                            <option value="equipment_edit">Edit equipment</option>
                                            <option>1</option>
                                            <option>2</option>
                                            <option>3</option>
                                            <option>4</option>
                                            <option>5</option>
                                        </select>
                                    </div>
                                </div> -->
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="client_select">Select Client</label>
                                <div class="col-md-10">
                                    <select id="client_select" class="form-control" name="client_id">
                                        <option value=""></option>
                                        <?php foreach ($data as $client) : ?>
                                            <option value=" <?php echo htmlspecialchars($client['id'], ENT_QUOTES, 'UTF-8'); ?>">
                                                <?php echo htmlspecialchars($client['company_name'], ENT_QUOTES, 'UTF-8'); ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>

                            <!-- BOXES START -->
                            <hr>
                            <div class="row m-0 pt-2">
                                <div class="col-lg-6  pl-0 pr-0 pr-lg-2  ">
                                    <div class="form-group box-form-group">
                                        <div class="form-group-wrapper row p-0 m-0 ">
                                            <label class="col-md-2" for="info_1">Model:</label>
                                            <div class="col-md-10 p-0">
                                                <input type="text" value="" id="info_1" class="form-control" name="model">
                                            </div>
                                        </div>
                                        <label class="col-md-12 col-form-label" for="notes_1">Notes:</label>
                                        <div class="col-md-12">
                                            <textarea rows="5" id="notes_1" class="form-control" placeholder="" name="notes"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6  pl-0 pr-0 pl-lg-2 ">
                                    <div class="form-group box-form-group">
                                        <div class="form-group-wrapper row p-0 m-0 ">
                                            <label class="col-md-2" for="info_1">Serial No:</label>
                                            <div class="col-md-10 p-0">
                                                <input type="text" value="" id="info_1" class="form-control" name="serial_number">
                                            </div>
                                        </div>
                                        <label class="col-md-12 col-form-label" for="notes_1">Special Notes:</label>
                                        <div class="col-md-12">
                                            <textarea rows="5" id="notes_1" class="form-control" placeholder="" name="special_notes"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 p-0 text-center">
                                    <button class="btn-danger btn" data-delete>Delete</button>
                                </div>
                            </div>

                            <div class="appended_divs">

                            </div>

                            <div class="col-12 p-0 py-2">
                                <button class="btn-primary btn" data-add-row>Add More Equipment</button>
                            </div>

                            <!-- BOXES END -->

                            <!-- button -->
                            <div class="form-group btn-form-group row mb-0 pt-4">
                                <div class="col-md-7 m-auto">
                                    <button type="submit" class=" btn btn-primary btn-lg w-100 d-block">Add Equipment Details </button>
                                </div>
                            </div>
                            <!-- button -->
                        </form>

                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->

        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>

        <script>
            $("[data-add-row]").click(function(e) {
                e.preventDefault();
                // let _div = $(this).parent().prev().prev().clone()
                let _div =
                    ` <div class="row m-0 pt-2">
                                <div class="col-lg-6  pl-0 pr-0 pr-lg-2  ">
                                    <div class="form-group box-form-group">
                                        <div class="form-group-wrapper row p-0 m-0 ">
                                            <label class="col-md-2" for="info_1">Model:</label>
                                            <div class="col-md-10 p-0">
                                                <input type="text" value="" id="info_1" class="form-control">
                                            </div>
                                        </div>
                                        <label class="col-md-12 col-form-label" for="notes_1">Notes:</label>
                                        <div class="col-md-12">
                                            <textarea rows="5" id="notes_1" class="form-control" placeholder=""></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6  pl-0 pr-0 pl-lg-2 ">
                                    <div class="form-group box-form-group">
                                        <div class="form-group-wrapper row p-0 m-0 ">
                                            <label class="col-md-2" for="info_1">Serial No:</label>
                                            <div class="col-md-10 p-0">
                                                <input type="text" value="" id="info_1" class="form-control">
                                            </div>
                                        </div>
                                        <label class="col-md-12 col-form-label" for="notes_1">Special Notes:</label>
                                        <div class="col-md-12">
                                            <textarea rows="5" id="notes_1" class="form-control" placeholder=""></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 p-0 text-center">
                                    <button class="btn-danger btn" data-delete>Delete</button>
                                </div>
                            </div>`;
                $(".appended_divs").prepend(_div)
            })

            $(document).on("click", "[data-delete]", function(e) {
                e.preventDefault();
                $(this).closest('.row').remove();
            });
        </script>

        <!-- Scripts start -->
        <?php include("../includes/footer-scripts.php"); ?>
        <!-- Scripts end-->

        <?php

        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $client_id = isset($_POST['client_id']) ? (int)$_POST['client_id'] : null;
            $model = isset($_POST['model']) ? $_POST['model'] : null;
            $serial_number = isset($_POST['serial_number']) ? $_POST['serial_number'] : null;
            $notes = isset($_POST['notes']) ? $_POST['notes'] : null;
            $special_notes = isset($_POST['special_notes']) ? $_POST['special_notes'] : null;

            if ($client_id === null) {
                echo "Error: Client ID is required.";
            } elseif (empty($model)) {
                echo "Error: Model is required.";
            } elseif (empty($serial_number)) {
                echo "Error: Serial Number is required.";
            } elseif (empty($notes)) {
                echo "Error: Notes are required.";
            } elseif ($special_notes === null) {
                echo "Error: Special Notes are required.";
            } else {
                $sql = "INSERT INTO equipment (client_id, model, serial_number, notes, special_notes) VALUES (?, ?, ?, ?, ?)";

                $stmt = $conn->prepare($sql);

                if ($stmt === false) {
                    echo "Error: Failed to prepare the statement.";
                } else {
                    $stmt->bind_param("issss", $client_id, $model, $serial_number, $notes, $special_notes);

                    $result = $stmt->execute();

                    if ($result === false) {
                        echo "Error: Failed to execute the statement.";
                    } else {
                        echo "Success: Data inserted successfully!";
                    }

                    $stmt->close();
                }

                $conn->close();
            }
        }

        ?>

</body>

</html>