<?php
// Includes Global Site URL;
include("../includes/site-info.php");

require_once("../api/config/Database.php");

$database = new Database();

$conn = $database->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_POST['delete_equipment']) && isset($_POST['equipment_id'])) {
        $equipmentId = $_POST['equipment_id'];
        $deleteQuery = "UPDATE equipment SET isdeleted=1 WHERE id = ?";
        $stmt = $conn->prepare($deleteQuery);
        if ($stmt) {
            $stmt->bind_param("i", $equipmentId);
            if ($stmt->execute()) {
                echo json_encode(["success" => true]);
            } else {
                echo json_encode(["success" => false, "error" => "Error deleting record: " . $stmt->error]);
            }
            $stmt->close();
        } else {
            echo json_encode(["success" => false, "error" => "Error preparing statement: " . $conn->error]);
        }
    } else {
        echo json_encode(["success" => false, "error" => "Invalid parameters for delete operation"]);
    }
    exit;
}


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>View Equipment</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">View equipment</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">View equipment Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->



                        <div class="mt-5">
                            <table id="basic_table" class="table table-bordered table-bordered  " style="border-collapse: collapse; border-spacing: 0; width: 100%;">

                                <thead class="thead-dark">
                                    <!-- COLUMN NAMES -->
                                    <tr>
                                        <th>Client Name</th>
                                        <th>Model #1</th>
                                        <th>Notes</th>
                                        <th>Serial No:</th>
                                        <th>Special Notes</th>
                                        <th>Functions</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <!-- BODY -->

                                    <?php
                                    $sql = "SELECT e.id, e.client_id, e.model, e.serial_number, e.notes, e.special_notes, e.isdeleted, cl.company_name 
                                    FROM equipment e
                                    JOIN client cl ON e.client_id = cl.id
                                    WHERE e.isdeleted=0";

                                    $result = $conn->query($sql);
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                    ?>
                                            <tr>
                                                <td><?php echo $row['company_name']; ?></td>
                                                <td><?php echo $row['model']; ?></td>
                                                <td><?php echo $row['serial_number']; ?></td>
                                                <td><?php echo $row['notes']; ?></td>
                                                <td><?php echo $row['special_notes']; ?></td>

                                                <td class="function_button_wrap">
                                                    <a class="btn btn-primary flex-1" href="equipment/edit-equipment.php?<?php echo http_build_query($row); ?>">Edit</a>
                                                    <button class="btn btn-warning flex-1 view-equipment" data-toggle="modal" data-target="#viewEquipmentModal" onclick="openViewClientModal(<?php echo htmlspecialchars(json_encode($row), ENT_QUOTES, 'UTF-8'); ?>)" type="button">View</button>

                                                    <button type="button" class="btn btn-danger flex-1 waves-effect waves-light btn-sm sa-warning" data-equipment-id="<?php echo $row['id']; ?>">Delete</button>
                                                </td>
                                            </tr>
                                    <?php
                                        }
                                    } else {
                                        echo "<tr><td colspan='8'>No results found</td></tr>";
                                    }
                                    ?>






                                </tbody>
                            </table>
                        </div>


                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->

        <?php include("../includes/view-page-footer-scripts.php"); ?>


        <!-- Modal -->
        <div class="modal fade" id="viewEquipmentModal" tabindex="-1" role="dialog" aria-labelledby="viewEquipmentModal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title page-heading w-50 mr-0 ml-0 d-block" id="exampleModalLongTitle">Viewing equipment: <span id="equipment-name"></span></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body py-4">
                        <div class="form-main-layout">


                            <form class="form-horizontal">
                                <div class="form-group row">
                                    <label for="client_name" class="col-md-2 control-label">Client Name</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" value="lunar Innovations" class="form-control" id="client_name" name="company_name">
                                    </div>
                                </div>


                                <p class="text-center">Equipment 1</p>
                                <div class="form-group row">
                                    <label for="equipment_amount" class="col-md-2 control-label">Modal 1</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" class="form-control" value="#12301720" id="model" name="model">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_renewal_date">Notes</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="Some Notes Here" id="notes" name="notes">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_returned">Serial No.</label>
                                    <div class="col-md-10">
                                        <input type="text" value="Sno. 321" readonly class="form-control" id="serial_number" name="serial_number">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_additional_comments">Special Notes</label>
                                    <div class="col-md-10">
                                        <textarea readonly class="form-control" rows="5" id="special_notes" name="special_notes">Some Special Notes Here.</textarea>

                                    </div>
                                </div>
                                <hr>
                                <!-- <p class="text-center">Equipment 2</p>
                                <div class="form-group row">
                                    <label for="equipment_amount" class="col-md-2 control-label">Modal 1</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" class="form-control" value="#12301720" id="equipment_amount">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_renewal_date">Notes</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="Some Notes Here" id="equipment_renewal_date">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_returned">Serial No.</label>
                                    <div class="col-md-10">
                                        <input type="text" value="Sno. 321" readonly class="form-control">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="equipment_additional_comments">Special Notes</label>
                                    <div class="col-md-10">
                                        <textarea readonly class="form-control" rows="5" id="equipment_additional_comments">Some Special Notes Here.</textarea>
                                    </div>
                                </div> -->

                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" data-dismiss="modal" class="btn btn-danger btn-lg">Close</button>
                        <a type="button" id="editButton" href=" #" class="text-white btn btn-primary btn-lg">Edit</a>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script>
        function openViewClientModal(clientData) {
            try {
                console.log(clientData);
                $('#client_name').val(clientData.company_name);
                $('#model').val(clientData.model);
                $('#notes').val(clientData.notes);
                $('#serial_number').val(clientData.serial_number);
                $('#special_notes').val(clientData.special_notes);

                var editUrl = 'equipment/edit-equipment.php' +
                    '?id=' + encodeURIComponent(clientData.id) +
                    '&client_name=' + encodeURIComponent(clientData.company_name) +
                    '&model=' + encodeURIComponent(clientData.model) +
                    '&notes=' + encodeURIComponent(clientData.notes) +
                    '&serial_number=' + encodeURIComponent(clientData.serial_number) +
                    '&special_notes=' + encodeURIComponent(clientData.special_notes) +
                    '&company_name=' + encodeURIComponent(clientData.company_name);


                $('#editButton').attr('href', editUrl);

                $('#viewClientModal').modal('show');
            } catch (error) {
                console.error('Error parsing JSON:', error);
            }
        }
    </script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.all.min.js"></script>


    <script>
        $(document).ready(function() {
            $(".sa-warning").click(function() {
                var equipmentId = $(this).data('equipment-id');

                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#458bc4",
                    cancelButtonColor: "#6c757d",
                    confirmButtonText: "Yes, delete it!"
                }).then(function(result) {
                    if (result.value) {
                        $.ajax({
                            type: "POST",
                            url: window.location.href,
                            data: {
                                delete_equipment: true,
                                equipment_id: equipmentId
                            },
                            dataType: "json",
                            success: function(response) {
                                if (response.success) {
                                    Swal.fire("Deleted!", "Your file has been deleted.", "success");
                                } else {
                                    Swal.fire("Error", "Failed to delete file. " + response.error, "error");
                                }
                            },
                            error: function() {
                                Swal.fire("Error", "Failed to communicate with the server.", "error");
                            }
                        });
                    }
                });
            });
        });
    </script>
</body>

</html>