<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$db = new Database();
$conn = $db->getConnection();

global $site_url;

$ch = curl_init();
$apiEndpoint = $site_url . 'api/clients/index.php';
curl_setopt($ch, CURLOPT_URL, $apiEndpoint);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Curl error: ' . curl_error($ch);
}
curl_close($ch);

if ($response !== false) {
    $data = json_decode($response, true);
}

$error = "";

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $invoice_number = isset($_POST['invoice_number']) ? $_POST['invoice_number'] : null;
    $invoice_date = isset($_POST['invoice_date']) ? $_POST['invoice_date'] : null;
    $clientId = isset($_POST['clientId']) ? $_POST['clientId'] : null;
    $job_number = isset($_POST['job_number']) ? $_POST['job_number'] : null;
    $report_number = isset($_POST['report_number']) ? $_POST['report_number'] : null;
    $staff_attended_job = isset($_POST['staff_attended_job']) ? $_POST['staff_attended_job'] : null;
    $completed_work = isset($_POST['completed_work']) ? $_POST['completed_work'] : null;
    $invoice_work_type = isset($_POST['invoice_work_type']) ? $_POST['invoice_work_type'] : null;
    $quote_number = isset($_POST['quote_number']) ? $_POST['quote_number'] : null;
    $invoice_quoted_work = isset($_POST['invoice_quoted_work']) ? $_POST['invoice_quoted_work'] : null;
    $invoice_amount = isset($_POST['invoice_amount']) ? $_POST['invoice_amount'] : null;


    var_dump($_POST);

    $sql = "INSERT INTO invoice (client_id, invoice_number, invoice_date, job_number, report_number, staff_attended_job, completed_work, invoice_work_type, quote_number, invoice_quoted_work, invoice_amount) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($sql);

    if ($stmt === false) {
        echo "Error: Failed to prepare the statement.";
    } else {
        $stmt->bind_param(
            "issssssssss",
            $clientId,
            $invoice_number,
            $invoice_date,
            $job_number,
            $report_number,
            $staff_attended_job,
            $completed_work,
            $invoice_work_type,
            $quote_number,
            $invoice_quoted_work,
            $invoice_amount
        );

        $result = $stmt->execute();

        if ($result === false) {
            $erorr = "Error: Failed to execute the statement.";
        } else {
            $erorr = "Success: Data inserted successfully!";
        }

        $stmt->close();
    }

    $conn->close();
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Add Invoice</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">Add invoice</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">Add invoice Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->


                        <form class="form-horizontal" method="POST" action="<?php $_SERVER['PHP_SELF'] ?>">
                            <!-- <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="client_function">Select invoices Function</label>
                                <div class="col-md-10">
                                    <select id="client_function" class="form-control">
                                        <option value="invoices_edit">invoices Edit</option>
                                        <option>1</option>
                                        <option>2</option>
                                        <option>3</option>
                                        <option>4</option>
                                        <option>5</option>
                                    </select>
                                </div>
                            </div> -->
                            <div class="form-group row">
                                <label for="invoice_number" class="col-md-2 control-label">Invoice Number</label>
                                <div class="col-md-10">
                                    <input type="number" name="invoice_number" class="form-control" id="invoice_number">
                                </div>
                            </div>
                            <div class="form-group form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_date">Invoice Date</label>
                                <div class="col-md-10">
                                    <div class="input-group">
                                        <input type="date" name="invoice_date" class="form-control" placeholder="MM/DD/YY" id="invoice_date">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="client_select">Select Client</label>
                                <div class="col-md-10">
                                    <select id="client_select" class="form-control" name="clientId">
                                        <?php foreach ($data as $client) : ?>
                                            <option value="<?php echo htmlspecialchars($client['id'], ENT_QUOTES, 'UTF-8'); ?>">
                                                <?php echo htmlspecialchars($client['company_name'], ENT_QUOTES, 'UTF-8'); ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="invoice_job_number" class="col-md-2 control-label">Job Number</label>
                                <div class="col-md-10">
                                    <input type="number" name="job_number" class="form-control" id="invoice_job_number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="invoice_report_number" class="col-md-2 control-label">Report Number</label>
                                <div class="col-md-10">
                                    <input type="number" name="report_number" class="form-control" id="invoice_report_number">
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_staff_attended_job">Staff Attended Job</label>
                                <div class="col-md-10">
                                    <select id="invoice_staff_attended_job" name="staff_attended_job" class="form-control">
                                        <option value=""></option>
                                        <option>1</option>
                                        <option>2</option>
                                        <option>3</option>
                                        <option>4</option>
                                        <option>5</option>
                                        <option>More Than 5</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_completed_work">Completed Work</label>
                                <div class="col-md-10">
                                    <textarea class="form-control" rows="5" id="invoice_completed_work" name="completed_work"></textarea>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_work_type">Invoice Work Type</label>
                                <div class="col-md-10">
                                    <select id="invoice_work_type" class="form-control" name="invoice_work_type">
                                        <option value=""></option>
                                        <option value="Repair">Repair</option>
                                        <option value="Install">Install</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="invoice_quote_number" class="col-md-2 control-label">Quote Number</label>
                                <div class="col-md-10">
                                    <input type="number" class="form-control" id="invoice_quote_number" name="quote_number">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="invoice_quoted_work">Invoice Quoted Work</label>
                                <div class="col-md-10">
                                    <textarea class="form-control" rows="5" id="invoice_quoted_work" name="invoice_quoted_work"></textarea>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="invoice_amount" class="col-md-2 control-label">Invoice Amount</label>
                                <div class="col-md-10">
                                    <input type="number" class="form-control" id="invoice_amount" name="invoice_amount">
                                </div>
                            </div>

                            <p class="text-success text-bold font-bold fw-700 text-center">
                                <?php
                                echo $error;
                                ?>
                            </p>

                            <!-- button -->
                            <div class="form-group btn-form-group row mb-0 pt-4">
                                <div class="col-md-7 m-auto">
                                    <button type="submit" class="btn btn-primary btn-lg w-100 d-block">Add Invoice</button>
                                </div>
                            </div>
                            <!-- button -->
                        </form>

                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->



        <!-- Scripts start -->
        <?php include("../includes/footer-scripts.php"); ?>
        <!-- Scripts end-->

</body>

</html>