<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$db = new Database();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_POST['delete_invoice']) && isset($_POST['invoice_id'])) {
        $invoiceId = $_POST['invoice_id'];
        $deleteQuery = "UPDATE invoice SET isdeleted=1 WHERE id = ?";
        $stmt = $conn->prepare($deleteQuery);
        if ($stmt) {
            $stmt->bind_param("i", $invoiceId);
            if ($stmt->execute()) {
                echo json_encode(["success" => true]);
            } else {
                echo json_encode(["success" => false, "error" => "Error deleting record: " . $stmt->error]);
            }
            $stmt->close();
        } else {
            echo json_encode(["success" => false, "error" => "Error preparing statement: " . $conn->error]);
        }
    } else {
        echo json_encode(["success" => false, "error" => "Invalid parameters for delete operation"]);
    }
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>View invoice</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">View invoice</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">View invoice Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->



                        <div class="mt-5">
                            <table id="basic_table" class="table table-bordered table-bordered  " style="border-collapse: collapse; border-spacing: 0; width: 100%;">

                                <thead class="thead-dark">
                                    <!-- COLUMN NAMES -->
                                    <tr>
                                        <th>Client Name</th>
                                        <th>Invoice Date</th>
                                        <th>Invoice Number</th>
                                        <th>Job Number</th>
                                        <th>Report Number</th>
                                        <th>Staff Attended Job</th>
                                        <th>Invoice Amount</th>
                                        <th>Functions</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <!-- BODY -->
                                    <?php
                                    $sql = "SELECT invoice.id, client_id, c.company_name, invoice_number, invoice_date, job_number, report_number, staff_attended_job, completed_work, invoice_work_type, quote_number, invoice_quoted_work, invoice_amount FROM invoice join client c ON invoice.client_id=c.id  WHERE invoice.isdeleted=0";
                                    $result = $conn->query($sql);
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                    ?>
                                            <tr>
                                                <td><strong><?php echo $row['company_name']; ?></strong></td>
                                                <td><?php echo $row['invoice_date'] ?></td>
                                                <td><?php echo $row['invoice_number'] ?></td>
                                                <td><?php echo $row['job_number'] ?></td>
                                                <td><?php echo $row['report_number'] ?></td>
                                                <td><?php echo $row['staff_attended_job'] ?></td>
                                                <td><?php echo $row['invoice_amount'] ?></td>
                                                <td class="function_button_wrap">
                                                    <a class="btn btn-primary flex-1" href="invoice/edit-invoice.php?<?php echo http_build_query($row); ?>">Edit</a>
                                                    <button class="btn btn-warning flex-1" onclick="openViewClientModal(<?php echo htmlspecialchars(json_encode($row), ENT_QUOTES, 'UTF-8') ?>)" data-toggle="modal" data-target="#viewInvoiceModal" type="button">View</button>
                                                    <button type="button" class="btn btn-danger flex-1 waves-effect waves-light btn-sm sa-warning" data-invoice-id="<?php echo $row['id']; ?>" id="">Delete</button>
                                                </td>
                                            </tr>
                                    <?php
                                        }
                                    } else {
                                        echo "<tr><td colspan='8'>No results found</td></tr>";
                                    }
                                    ?>

                                </tbody>
                            </table>
                        </div>


                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->


        <?php include("../includes/view-page-footer-scripts.php"); ?>


        <!-- Modal -->
        <div class="modal fade" id="viewInvoiceModal" tabindex="-1" role="dialog" aria-labelledby="viewInvoiceModal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title page-heading w-50 mr-0 ml-0 d-block" id="exampleModalLongTitle">Viewing invoice: <span id="invoice-name"></span></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body py-4">
                        <div class="form-main-layout">


                            <form class="form-horizontal">
                                <div class="form-group row">
                                    <label for="client_name" class="col-md-2 control-label">Client Name</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" value="lunar Innovations" class="form-control" id="client_name">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="invoice_next_due_date">Invoice Date</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="24th Jan, 2023" id="invoice_date">
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="" class="col-md-2 control-label">Invoice Number</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" class="form-control" value="#21931283" id="invoice_number">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="">Job Number</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="I-123071230" id="job_number">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Report Number</label>
                                    <div class="col-md-10">
                                        <input type="text" value="R-1293071203" readonly class="form-control" id="report_number">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Staff Attended Job</label>
                                    <div class="col-md-10">
                                        <input type="text" value="31 Staff" readonly class="form-control" id="staff_attended_job">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Completed Work</label>
                                    <div class="col-md-10">
                                        <textarea readonly cols="30" rows="10" class="form-control" id="completed_work">Some Details here.</textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Invoices Work Type</label>
                                    <div class="col-md-10">
                                        <input type="text" value="Labour" readonly class="form-control" id="invoice_work_type">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Quote Number</label>
                                    <div class="col-md-10">
                                        <input type="text" value="Q-102937" readonly class="form-control" id="quote_number">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Invoice Quoted Work</label>
                                    <div class="col-md-10">
                                        <textarea readonly cols="30" rows="10" class="form-control" id="invoice_quoted_work">Some More Details here.</textarea>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="">Invoice Amount</label>
                                    <div class="col-md-10">
                                        <input type="text" value="$1,0237" readonly class="form-control" id="invoice_amount">
                                    </div>
                                </div>

                                <!-- <div class="form-group row">
                                    <label class="col-md-2 col-form-label" for="invoice_additional_comments">Additional Comments</label>
                                    <div class="col-md-10">
                                        <textarea readonly readonly class="form-control" rows="5" id="invoice_additional_comments">Some Details Here.</textarea>
                                    </div>
                                </div> -->

                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" data-dismiss="modal" class="btn btn-danger btn-lg">Close</button>
                        <a type="button" id="editButton" href="#" class="text-white btn btn-primary btn-lg">Edit</a>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script>
        function openViewClientModal(clientData) {
            try {
                console.log(clientData);
                $('#client_name').val(clientData.company_name);
                $('#invoice_date').val(clientData.invoice_date);
                $('#invoice_number').val(clientData.invoice_number);
                $('#job_number').val(clientData.job_number);
                $('#report_number').val(clientData.report_number);
                $('#staff_attended_job').val(clientData.staff_attended_job);
                $('#completed_work').val(clientData.completed_work);
                $('#invoice_work_type').val(clientData.invoice_work_type);
                $('#invoice_quoted_work').val(clientData.invoice_quoted_work);
                $('#invoice_amount').val(clientData.invoice_amount);


                var editUrl = "invoice/edit-invoice.php" +
                    "?id=" + encodeURIComponent(clientData.id) +
                    "&client_name=" + encodeURIComponent(clientData.client_name) +
                    "&invoice_date=" + encodeURIComponent(clientData.invoice_date) +
                    "&invoice_number=" + encodeURIComponent(clientData.invoice_number) +
                    "&job_number=" + encodeURIComponent(clientData.job_number) +
                    "&report_numberr=" + encodeURIComponent(clientData.report_number) +
                    "&staff_attended_job=" + encodeURIComponent(clientData.staff_attended_job) +
                    "&completed_work=" + encodeURIComponent(clientData.completed_work) +
                    "&invoice_work_type=" + encodeURIComponent(clientData.invoice_work_type) +
                    "&invoice_quoted_work=" + encodeURIComponent(clientData.invoice_quoted_work) +
                    "&invoice_amount=" + encodeURIComponent(clientData.invoice_amount);

                $('#editButton').attr('href', editUrl);

                $('#viewClientModal').modal('show');
            } catch (error) {
                console.error('Error parsing JSON:', error);
            }

        }
    </script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.all.min.js"></script>


    <script>
        $(document).ready(function() {
            $(".sa-warning").click(function() {
                var invoiceId = $(this).data('invoice-id');

                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#458bc4",
                    cancelButtonColor: "#6c757d",
                    confirmButtonText: "Yes, delete it!"
                }).then(function(result) {
                    if (result.value) {
                        $.ajax({
                            type: "POST",
                            url: window.location.href,
                            data: {
                                delete_invoice: true,
                                invoice_id: invoiceId
                            },
                            dataType: "json",
                            success: function(response) {
                                if (response.success) {
                                    Swal.fire("Deleted!", "Your file has been deleted.", "success");
                                } else {
                                    Swal.fire("Error", "Failed to delete file. " + response.error, "error");
                                }
                            },
                            error: function() {
                                Swal.fire("Error", "Failed to communicate with the server.", "error");
                            }
                        });
                    }
                });
            });
        });
    </script>
</body>

</html>