<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");


$id = isset($_GET['id']) ? $_GET['id'] : '';
$name = isset($_GET['name']) ? $_GET['name'] : '';
$email = isset($_GET['email']) ? $_GET['email'] : '';
$mobile_number = isset($_GET['mobile_number']) ? $_GET['mobile_number'] : '';
$current = isset($_GET['current']) ? $_GET['current'] : '';

$db = new Database();
$conn = $db->getConnection();

$error = '';

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $id = $_POST['id'];
    $name = $_POST['name'];
    $email = $_POST['email'];
    $mobile_number = $_POST['mobile_number'];
    $current = $_POST['current'];

    $updateQuery = "UPDATE staff SET name = ?, email = ?, mobile_number = ?, current = ? WHERE id=?";
    $stmt = $conn->prepare($updateQuery);
    if ($stmt) {
        $stmt->bind_param("ssssi", $name, $email, $mobile_number, $current, $id);
        if ($stmt->execute()) {
            $error = "Record updated Successfully";
        } else {
            $error = "Error updating record: " . $stmt->error;
        }

        $stmt->close();
    } else {
        $error = "Error preparing statement: " . $conn->error;
    }

    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Edit Staff</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">Edit Staff</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">Edit Staff Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->


                        <form class="form-horizontal" method="POST" action="<?php $_SERVER['PHP_SELF']; ?>">
                            <!-- <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="contract_function">Select staff Function</label>
                                <div class="col-md-10">
                                    <select id="contract_function" class="form-control">
                                        <option value="staff_edit">Edit staff</option>
                                        <option>1</option>
                                        <option>2</option>
                                        <option>3</option>
                                        <option>4</option>
                                        <option>5</option>
                                    </select>
                                </div>
                            </div> -->
                            <!-- <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="staff_select">Select Staff</label>
                                <div class="col-md-10">
                                    <select id="staff_select" class="form-control">
                                        <option value=""></option>
                                        <option>Staff 1</option>
                                        <option>Staff 2</option>
                                        <option>Staff 3</option>
                                        <option>Staff 5</option>
                                    </select>
                                </div>
                            </div> -->

                            <input type="hidden" name="id" value="<?php echo htmlspecialchars($id, ENT_QUOTES, 'UTF-8'); ?>" readonly class="form-control">
                            <div class="form-group row">
                                <label for="staff_name" class="col-md-2 control-label">Staff Name</label>
                                <div class="col-md-10">
                                    <input type="text" value="<?php echo htmlspecialchars($name, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="staff_name" name="name">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="staff_email" class="col-md-2 control-label"> Email Address</label>
                                <div class="col-md-10">
                                    <input type="email" value="<?php echo htmlspecialchars($email, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="staff_email" name="email">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="staff_phone" class="col-md-2 control-label"> Mobile Number</label>
                                <div class="col-md-10">
                                    <input type="text" value="<?php echo htmlspecialchars($mobile_number, ENT_QUOTES, 'UTF-8'); ?>" class="form-control" id="staff_phone" name="mobile_number">
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-2 col-form-label" for="staff_current">Current</label>
                                <div class="col-md-10">
                                    <select id="staff_current" class="form-control" name="current">
                                        <option value="1" <?php echo ($current == 1) ? 'selected' : ''; ?>>Yes</option>
                                        <option value="0" <?php echo ($current == 0) ? 'selected' : ''; ?>>No</option>
                                    </select>
                                </div>
                            </div>
                            <p class="text-success text-bold font-bold fw-700 text-center">
                                <?php
                                echo $error;
                                ?>
                            </p>

                            <!-- button -->
                            <div class="form-group btn-form-group row mb-0 pt-4">
                                <div class="col-md-7 m-auto">
                                    <button type="submit" class="btn btn-primary btn-lg w-100 d-block">Update Staff Details</button>
                                </div>
                            </div>
                            <!-- button -->
                        </form>

                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->



        <!-- Scripts start -->
        <?php include("../includes/footer-scripts.php"); ?>
        <!-- Scripts end-->

</body>

</html>