<?php
// Includes Global Site URL;
include("../includes/site-info.php");
require_once("../api/config/Database.php");

$db = new Database();
$conn = $db->getConnection();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['delete_staff']) && isset($_POST['staff_id'])) {
        $staffId = $_POST['staff_id'];
        $deleteQuery = "UPDATE staff SET isdeleted = 1 WHERE id = ?";
        $stmt = $conn->prepare($deleteQuery);
        if ($stmt) {
            $stmt->bind_param("i", $staffId);
            if ($stmt->execute()) {
                echo json_encode(["success" => true]);
            } else {
                echo json_encode(["success" => false, "error" => "Error deleting record: " . $stmt->error]);
            }
            $stmt->close();
        } else {
            echo json_encode(["success" => false, "error" => "Error preparing statement: " . $conn->error]);
        }
    } else {
        echo json_encode(["success" => false, "error" => "Invalid parameters for delete operation"]);
    }
    exit;
}


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>View staff</title>

    <!-- Compatibility -->
    <?php include("../includes/compatibility.php"); ?>
    <!-- Compatibility -->


    <!-- styles start -->
    <?php include("../includes/header-styles.php"); ?>
    <!-- styles end -->

</head>

<body data-layout="horizontal">

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Navigation Bar-->
        <?php include("../includes/header.php"); ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">
                <!-- Start container-fluid -->
                <div class="container-fluid">

                    <!-- PAGE HEADING -->
                    <div class="page-heading-wrapper">
                        <h1 class="text-center page-heading mb-5">View staff</h1>
                    </div>
                    <!-- PAGE HEADING -->

                    <div class="form-main-layout pb-5">

                        <!-- start  -->
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    <h4 class="header-title mb-4 ">View staff Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end row -->



                        <div class="mt-5">
                            <table id="basic_table" class="table table-bordered table-bordered  " style="border-collapse: collapse; border-spacing: 0; width: 100%;">

                                <thead class="thead-dark">
                                    <!-- COLUMN NAMES -->
                                    <tr>
                                        <th>Staff Name</th>
                                        <th>Staff Email Address</th>
                                        <th>Staff Phone Number</th>
                                        <th>Current</th>
                                        <th>Functions</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <!-- BODY -->

                                    <?php
                                    $sql = "SELECT id, name, email, mobile_number, current FROM staff WHERE isdeleted=0";
                                    $result = $conn->query($sql);
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                    ?>
                                            <tr>
                                                <td><strong><?php echo $row['name']; ?></strong></td>
                                                <td><?php echo $row['email']; ?></td>
                                                <td><?php echo $row['mobile_number']; ?></td>
                                                <td><?php echo isset($row['current']) && $row['current'] == 1 ? "Yes" : "No"; ?></td>
                                                <td class="function_button_wrap">
                                                    <a class="btn btn-primary flex-1" href="staff/edit-staff.php?<?php echo http_build_query($row); ?>">Edit</a>
                                                    <button class="btn btn-warning flex-1" onclick="openViewClientModal(<?php echo htmlspecialchars(json_encode($row), ENT_QUOTES, 'UTF-8') ?>)" data-toggle="modal" data-target="#viewStaffModal" type="button">View</button>
                                                    <button type="button" class="btn btn-danger flex-1 waves-effect waves-light btn-sm sa-warning" data-staff-id="<?php echo $row['id']; ?>">Delete</button>
                                                </td>
                                            </tr>
                                    <?php
                                        }
                                    } else {
                                        echo "<tr><td colspan='8'>No results found</td></tr>";
                                    } ?>


                                </tbody>
                            </table>
                        </div>


                    </div>
                    <!-- end container-fluid -->

                    <!-- Footer Start -->
                    <?php include("../includes/footer.php"); ?>
                    <!-- end Footer -->
                </div>
                <!-- end content -->
            </div>
            <!-- END content-page -->
        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <?php //include("../includes/right-bar.php"); 
        ?>
        <!-- /Right-bar -->


        <?php include("../includes/view-page-footer-scripts.php"); ?>


        <!-- Modal -->
        <div class="modal fade" id="viewStaffModal" tabindex="-1" role="dialog" aria-labelledby="viewStaffModal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title page-heading w-50 mr-0 ml-0 d-block" id="exampleModalLongTitle">Viewing staff: <span id="staff-name"></span></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body py-4">
                        <div class="form-main-layout">


                            <form class="form-horizontal">
                                <div class="form-group row">
                                    <label for="" class="col-md-2 control-label">Staff Name</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" value="John Smith Jr." class="form-control" id="name">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="">Staff Email</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="john@arrite.com" id="email">
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="" class="col-md-2 control-label">Staff Phone Number</label>
                                    <div class="col-md-10">
                                        <input readonly type="text" class="form-control" value="+61 823 1233" id="mobile_number">
                                    </div>
                                </div>
                                <div class="form-group form-group row">
                                    <label class="col-md-2 col-form-label" for="">Current</label>
                                    <div class="col-md-10">
                                        <div class="input-group">
                                            <input readonly type="text" class="form-control" value="Yes" id="current">
                                        </div>
                                    </div>
                                </div>

                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" data-dismiss="modal" class="btn btn-danger btn-lg">Close</button>
                        <a type="button" id="editButton" href=" #" class="text-white btn btn-primary btn-lg">Edit</a>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <script>
        function openViewClientModal(clientData) {
            try {
                $('#name').val(clientData.name);
                $('#email').val(clientData.email);
                $('#mobile_number').val(clientData.mobile_number);
                $('#current').val(clientData.current === 1 ? 'Yes' : 'No');

                var editUrl = "staff/edit-staff.php" +
                    "?id=" + encodeURIComponent(clientData.id) +
                    "&name=" + encodeURIComponent(clientData.name) +
                    "&email=" + encodeURIComponent(clientData.email) +
                    "&mobile_number=" + encodeURIComponent(clientData.mobile_number) +
                    "&current=" + encodeURIComponent(clientData.current);

                $('#editButton').attr('href', editUrl);

                $('#viewClientModal').modal('show');
            } catch (error) {
                console.error('Error parsing JSON:', error);
            }

        }
    </script>


    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.all.min.js"></script>


    <script>
        $(document).ready(function() {
            $(".sa-warning").click(function() {
                var staffId = $(this).data('staff-id');

                Swal.fire({
                    title: "Are you sure?",
                    text: "You won't be able to revert this!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#458bc4",
                    cancelButtonColor: "#6c757d",
                    confirmButtonText: "Yes, delete it!"
                }).then(function(result) {
                    if (result.value) {
                        $.ajax({
                            type: "POST",
                            url: window.location.href,
                            data: {
                                delete_staff: true,
                                staff_id: staffId
                            },
                            dataType: "json",
                            success: function(response) {
                                if (response.success) {
                                    Swal.fire("Deleted!", "Your file has been deleted.", "success");
                                } else {
                                    Swal.fire("Error", "Failed to delete file. " + response.error, "error");
                                }
                            },
                            error: function() {
                                Swal.fire("Error", "Failed to communicate with the server.", "error");
                            }
                        });
                    }
                });
            });
        });
    </script>
</body>

</html>